<?php
// This code uses the popular PHPMailer library
// You should download the PHPMailer library and
// add it to the project
// I am using SMTP and hope you have access to a 
// SMTP server
// Include the PHPMailer autoloader
require_once 'path/to/phpmailer/src/PHPMailer.php';
require_once 'path/to/phpmailer/src/SMTP.php';
require_once 'path/to/phpmailer/src/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

// Create a new PHPMailer instance
// if you do not set true in the constructor
// PHPMailer will not throw exceoption on issues
$mail = new PHPMailer(true);

try {
    // Enable debugging and the constants below will help you 
    // get error message to the level you configure
    //SMTP::DEBUG_OFF (0): No debug output (default).
    //SMTP::DEBUG_CLIENT (1): Output messages sent by the client.
    //SMTP::DEBUG_SERVER (2): Output messages sent by the server.
    //SMTP::DEBUG_CONNECTION (3): Output connection-level messages.
    //SMTP::DEBUG_LOWLEVEL (4): Output low-level data sent/received.
    $mail->SMTPDebug = SMTP::DEBUG_LOWLEVEL;

    // SMTP configuration
    $mail->isSMTP();
    $mail->Host = 'smtp.example.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'your_username';
    $mail->Password = 'your_password';
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
    $mail->Port = 587;

    // Set the sender and recipient
    $mail->setFrom('sender@example.com', 'Sender Name');
    $mail->addAddress('recipient@example.com');

    // Set email content
    $mail->isHTML(true);
    $mail->Subject = 'PHP HTML Email with PHPMailer';
    $mail->Body = '<html><head><title>PHP HTML Email with PHPMailer</title></head><body><h1>Hello!</h1><p>This is an example HTML email sent using PHPMailer.</p></body></html>';

    // Send the email
    $mail->send();

    echo 'HTML Email sent successfully using PHPMailer library.';
} catch (Exception $e) {
    // remember to handle this as it will be helpful to debug.
    echo 'Failed to send email. Error: ' . $mail->ErrorInfo;
}
